package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 考核范围(1.部门,2.个人)枚举类
*
* @author zxfei
*/
public enum AssessmentScopeEnum {
    部门(1, "部门"),
    个人(2, "个人");
    private Integer value;
    private String desc;

    AssessmentScopeEnum(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public Integer getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static AssessmentScopeEnum getByValue(Integer value) {
        for (AssessmentScopeEnum assessmentScopeEnum : AssessmentScopeEnum.values()) {
            if (assessmentScopeEnum.getValue() == value) {
                return assessmentScopeEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(Integer... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (AssessmentScopeEnum item : AssessmentScopeEnum.values()) {
            try {
                boolean hasE = false;
                for (Integer e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}